@import url("reset.css");
@import url("variables.css");
@import url("grid.css");
@import url("elements/elements.css");
@import url("layouts/layouts.css");
@import url("pages/pages.css");

@view-transition {
  navigation: auto;
}

html, body {
  background-color: var(--color-background);
  font: 11.25pt/15.75pt var(--font-family);
  color: var(--color-text);
}

*[aria-hidden="true"] {
  display: none;
  margin: -1;
  width: -1;
  height: -1;
  overflow: hidden;
}

.hideText {
  text-indent: -9999px;    /* sends the text off-screen */
  white-space: nowrap;     /* because only the first line is indented */
}

a {
  color: var(--color-tint);
  text-decoration: none;
}

/* */
main {
  min-height: 100%;
  min-height: 100vh;
  min-height: calc(100vh - 128px);
}

.avatar img {
  aspect-ratio: 1/1;
}

.note {
  flex: 1 0 auto;
  font-size: 0.85rem;
  line-height: 13pt;

  ul, ol {
    padding-top: 0;
  }

  p + ul, p + ol {
    /* reduce top padding to the previous
     * paragraph element by half the em-width
     * to make it all look like a single block
     * of text.
     */
    margin-block-start: -0.5em;
  }
}

.small {
  font-size: 0.8rem;
}

.text-secondary {
  color: var(--color-secondary-text);
}

p.no-margins {
  margin-block-start: 0;
  margin-block-end: 0;
}

hr {
  border: none;
  border-block-end: 1px solid var(--color-border);
}

.visuallyhidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
